%define libname %mklibname spreadsheet %{version}
%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

Name: 		gnumeric
Summary: 	A full-featured spreadsheet for GNOME
Summary(de): 	Eine voll funktionsfähige Tabellenkalkulation für GNOME
Version: 	1.12.57
Release: 	%mkrel 1
License: 	GPL
Group: 		Office
URL:		http://www.gnome.org/projects/gnumeric/
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gsf-1_114-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64psiconv6-devel
BuildRequires: lib64px-devel
BuildRequires: lib64python-devel
BuildRequires: lib64xml2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  perl-devel
BuildRequires:	rarian
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:  itstool
BuildRequires:	lib64goffice0.10_10-devel >= %{goffice}
Requires:	goffice >= %{goffice}
Requires:	dconf-editor
Obsoletes: 	%name < %version
Obsoletes:	libspreadsheet1.10.4
Obsoletes:	libspreadsheet1.10.5
Obsoletes:	libspreadsheet1.10.6


%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%description -l de
Das volle Tabellenkalkulation für GNOME Das ist Gnumeric, das GNOME Tabellenkalkulations-
programm. Wenn Sie mitExcel arbeiten, sollten Sie sich Gnumeric mal anschauen. Es versucht 
die guten Eigenschaften zu klonen und es so einfach wie möglich zu gestalten, dabei jedoch 
zu Excel kompatibel zu bleiben. Wir hoffen, dass die Bugs zurückgelassen wurden:).

%package devel
Summary: Spreadsheet library from Gnumeric - development files
Summary(de): Tabellenkalkulations-Bibliotheken aus Gnumeric - Entwicklungs Dateien
Group: Development/Libraries
Requires: %name = %{version}
Obsoletes: libspreadsheet-devel < %{version}-%{release}
Provides: libspreadsheet-devel = %{version}-%{release}

%description devel
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).
%description devel -l de
Das volle Tabellenkalkulation für GNOME Das ist Gnumeric, das GNOME Tabellenkalkulations-
programm. Wenn Sie mitExcel arbeiten, sollten Sie sich Gnumeric mal anschauen. Es versucht 
die guten Eigenschaften zu klonen und es so einfach wie möglich zu gestalten, dabei jedoch 
zu Excel kompatibel zu bleiben. Wir hoffen, dass die Bugs zurückgelassen wurden:).


%prep
%setup -q
chmod -x plugins/excel/rc4.?
%autopatch -p1


%build
%configure2_5x 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Office-Spreadsheets" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f icons/48x48/apps/*.png  $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp -f icons/48x48/apps/*.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
cp -f icons/48x48/apps/*.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
cp -f icons/48x48/apps/*.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

#remove .la files
find %buildroot -name \*.la|xargs rm


%find_lang %{name} --with-gnome --all-name 
%find_lang %{name}-functions

cat %{name}-functions.lang >> %{name}.lang


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%update_menus

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}
%{_libdir}/gnumeric/
%{_libdir}/goffice/0.10/plugins
%{_datadir}
%{_libdir}/libspreadsheet-%{version}.so

%files devel
%defattr(-, root, root)
%{_libdir}/libspreadsheet.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libspreadsheet-*/

%changelog
* Tue Feb 13 2024 tex - 1.12.57-1pclos2024
- new version

* Sat Nov 04 2023 tex - 1.12.56-2pclos2023
- rebuild against updates

* Fri Nov 03 2023 tex - 1.12.56-1pclos2023
- new version

* Mon Feb 27 2023 tex - 1.12.55-2pclos2023
- rebuild without soup3-devel

* Sun Feb 05 2023 tex - 1.12.55-1pclos2023
- new version

* Thu Jan 26 2023 tex - 1.12.54-2pclos2023
- rebuild against updates

* Fri Jan 20 2023 tex - 1.12.54-1pclos2023
- new version

* Thu Sep 22 2022 tex - 1.12.53-1pclos2022
- new version

* Sun Apr 24 2022 tex - 1.12.52-1pclos2022
- new version

* Fri Jan 21 2022 tex - 1.12.51-1pclos2022
- new version

* Fri Jun 11 2021 tex - 1.12.50-1pclos2021
- new version

* Sat Mar 20 2021 tex - 1.12.49-1pclos2021
- new version

* Thu Aug 13 2020 tex - 1.12.48-1pclos2020
- new version

* Sun May 10 2020 tex - 1.12.47-1pclos2020
- new version

* Thu Nov 07 2019 tex - 1.12.46-1pclos2019
- new version

* Sat Jun 08 2019 tex - 1.12.45-1pclos2019
- new version

